rem  This file is an example of a runbbs.bat used with D'Bridge, but
rem  is easily adaptable to FD or other mailer.
rem
rem  If you wish to use BNU, this works at 363/34
rem  BNU /L0=38400,8N1 /T:1024 /R:1024 /Z0
rem
rem  This is only one of hundreds of ways to do it, and is not meant to
rem  be a complete example, but instead, a guideline.  This file was used
rem  pretty much as is for over a year by 363/34.   For FD/Bink, additional
rem  commands, especially the packer/unpacker area need to be added.
rem  See the relevant docs for additional information.
rem
@echo off
  dvansi            ; if you use DesqView and have not loaded an ANSI driver
  verify on         ; good idea

:begin
  cls
  set DSZPORT=1     ; if you intend to use DSZ as in XRS processing
  set qbbs=\qbbs\   ; don't forget the environment variable

rem Start or restart mailer
:start
  echo Starting DBridge With QuickBBS
  e:                ; change to the drive with the mailer
  cd \dbridge       ; your mailer subdirectory
  db                ; you may substitute FD for FrontDoor or you may use Binkley

  if errorlevel 192 goto 19200_Baud    ; error levels determined in your mailer
  if errorlevel 100 goto localbbs
  if errorlevel  96 goto 9600_Baud
  if errorlevel  24 goto 2400_Baud
  if errorlevel  12 goto 1200_Baud
  if errorlevel  10 goto end
  if errorlevel  3  goto 300_Baud
  goto end


rem The following exit levels are to access QuickBBS bulletin board at
rem various baud rates.  This in lieu of spawning.

rem errorlevel 192
:19200_Baud
  set baud=19200       ; I do it this way so if I want to pass a baud rate
  goto Exe_qbbs        ; to a door, I can do so easily

rem errorlevel 96
:9600_Baud
  set baud=9600
  goto Exe_qbbs

rem errorlevel 24
:2400_Baud
  set baud=2400
  goto Exe_qbbs

rem errorlevel 12
:1200_Baud
  set baud=1200
  goto Exe_qbbs

rem errorlevel 3
:300_Baud
  set baud=300
  goto Exe_qbbs

rem errorlevel 100
:Localbbs
  set baud=L
  e:
  cd \qbbs
  quickbbs -%baud% -E0      ;special case here for local
  goto After_qbbs

:Exe_Qbbs:
  e:
  cd \qbbs
  quickbbs -b%baud% -E0
  goto After_qbbs

:restart
  e:
  cd \qbbs
  quickbbs -R -E0
  goto After_qbbs

:After_qbbs
  if errorlevel 254 goto RemoteDos
  if errorlevel 202 goto verify
  if errorlevel 170 goto QMX
  if errorlevel  5 goto net_echo
  if errorlevel  4 goto echo_only
  if errorlevel  3 goto net_only
  goto done

:QMX                    ; one way to do it
  e:
  cd \qbbs
  raqmx286
  MV BAT*.* \DBridge\files
  goto restart

:RemoteDos
  e:
  cd \qbbs
  DM pcb14 * \qbbs\
  MakePort 1
  DoorWay Com1  /v:d /b:z /s: /g:ON /c:dos
  cd \qbbs
  goto ReStart

:net_echo       ; put packing commands (Qecho) here
:echo_only
:net_only

  goto done

:done
  e:
  cd \qbbs
  echo Returning to DB...
  goto start

rem Come here on bad errors or to exit
:end
